#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extra_typings_1 = require("@commander-js/extra-typings");
const constants_1 = require("./utils/constants");
const dev_1 = require("./commands/dev");
const exportTemplates_1 = require("./commands/exportTemplates");
extra_typings_1.program
    .name(constants_1.PACKAGE_NAME)
    .description('A live preview of your emails right in your browser')
    .version('0.0.0');
extra_typings_1.program
    .command('dev')
    .description('Starts the application in development mode')
    .action(dev_1.dev);
extra_typings_1.program
    .command('export')
    .description('Build the templates to the `out` directory')
    .option('--outDir <path>', 'Output directory', 'out')
    .option('-p, --pretty', 'Pretty print the output', false)
    .action(({ outDir, pretty }) => (0, exportTemplates_1.exportTemplates)(outDir, pretty));
extra_typings_1.program.parse();
