"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.watcher = void 0;
const chokidar_1 = __importDefault(require("chokidar"));
const constants_1 = require("./constants");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const cpy_1 = __importDefault(require("cpy"));
const watcher = () => chokidar_1.default
    .watch(constants_1.CURRENT_PATH, { ignoreInitial: true, cwd: constants_1.CURRENT_PATH })
    .on('all', async (event, filename) => {
    if (event === constants_1.EVENT_FILE_DELETED) {
        await fs_1.default.promises.rm(path_1.default.join(constants_1.REACT_EMAIL_ROOT, filename));
    }
    else {
        await (0, cpy_1.default)(constants_1.CLIENT_EMAILS_PATH, constants_1.PACKAGE_EMAILS_PATH);
    }
});
exports.watcher = watcher;
